Bug 485890 - kppp segfault
kppp segfault
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 04:36 EST by Binand Sethumadhavan
Modified: 2009-03-16 15:51 EDT (History)
8 users (show)

See Also:
Fixed In Version: 4.2.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 13:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Binand Sethumadhavan 2009-02-17 04:36:37 EST
Description of problem:
Kppp segfaults when the number to dial begins with a '*'

Version-Release number of selected component (if applicable):
kdenetwork-4.2.0-2.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Start kppp (F > Applications > Internet > Internet Dialup Tool).
2. Click Configure > Accounts > New > Manual Setup.
3. In the Dial tab, select Add (phone number).
4. Enter the phone number as '*' (minus the quotes).
  
Actual results:
kppp crashes with SIGSEGV.

Expected results:
A phone number with '*' should be allowed. My wireless USB modem (http://www.airtel.in/wps/wcm/connect/airtel.in/Airtel.In/Home/ForYou/Wireless+Internet/USB+Modem/) requires me to dial *99# to connect to the service provider.

Additional info:
Comment 1 Lorenzo Villani 2009-02-17 09:51:56 EST
It actually crashes whatever character you write in the text box
Comment 2 Lorenzo Villani 2009-02-17 11:37:15 EST
Upstream bug: https://bugs.kde.org/show_bug.cgi?id=176645

New kdenetwork package + patch has been built for rawhide.
It should be available for F-9 and F-10 users within the next updates push (hopefully)
Comment 3 Ngo Than 2009-03-09 13:47:28 EDT
it's fixed in 4.2.1
Comment 4 Fedora Update System 2009-03-16 15:40:49 EDT
kdeutils-4.2.1-3.fc10, kdegraphics-4.2.1-3.fc10, kdepim-4.2.1-3.fc10, kdebase-workspace-4.2.1-7.fc10, akonadi-1.1.1-6.fc10, kdeaccessibility-4.2.1-1.fc10, kdeadmin-4.2.1-1.fc10, kdeartwork-4.2.1-1.fc10, kdebase-4.2.1-2.fc10, kdebase-runtime-4.2.1-2.fc10, kdebindings-4.2.1-1.fc10, kdeedu-4.2.1-1.fc10, kdegames-4.2.1-1.fc10, kdelibs-4.2.1-4.fc10, kde-l10n-4.2.1-1.fc10, kdemultimedia-4.2.1-1.fc10, kdenetwork-4.2.1-1.fc10, kdepimlibs-4.2.1-2.fc10.1, kdeplasma-addons-4.2.1-1.fc10, kdesdk-4.2.1-1.fc10, kdetoys-4.2.1-1.fc10, phonon-4.3.1-2.fc10, strigi-0.6.4-3.fc10, kio_sysinfo-20090216-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-03-16 15:51:00 EDT
akonadi-1.1.1-6.fc9, kdeutils-4.2.1-3.fc9.2, kdegraphics-4.2.1-3.fc9, kdebase-workspace-4.2.1-7.fc9, kdeaccessibility-4.2.1-1.fc9, kdeadmin-4.2.1-1.fc9, kdeartwork-4.2.1-1.fc9, kdebase-4.2.1-2.fc9, kdebase-runtime-4.2.1-2.fc9, kdebindings-4.2.1-1.fc9, kdeedu-4.2.1-1.fc9, kdegames-4.2.1-1.fc9, kdelibs-4.2.1-4.fc9, kde-l10n-4.2.1-1.fc9, kdemultimedia-4.2.1-1.fc9, kdenetwork-4.2.1-1.fc9, kdepimlibs-4.2.1-1.fc9, kdeplasma-addons-4.2.1-1.fc9, kdesdk-4.2.1-1.fc9, kdetoys-4.2.1-1.fc9, phonon-4.3.1-2.fc9, strigi-0.6.4-3.fc9, kio_sysinfo-20090216-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.